udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
udf_disc Struct Reference

`#include <libudffs.h>`

Collaboration diagram for udf_disc:

## Public Attributes
uint16_t | udf_rev
uint16_t | blocksize
uint8_t | blocksize_bits
uint32_t | flags
uint32_t | uid
uint32_t | gid
struct udf_sizing | sizing [UDF_ALLOC_TYPE_SIZE]
int(* | write )(struct udf_disc *, struct udf_extent *)
void * | write_data
struct volStructDesc * | udf_vrs [3]
struct anchorVolDescPtr * | udf_anchor [3]
struct primaryVolDesc * | udf_pvd [2]
struct logicalVolDesc * | udf_lvd [2]
struct partitionDesc * | udf_pd [2]
struct unallocSpaceDesc * | udf_usd [2]
struct impUseVolDesc * | udf_iuvd [2]
struct terminatingDesc * | udf_td [2]
struct logicalVolIntegrityDesc * | udf_lvid
struct sparingTable * | udf_stable [4]
uint32_t * | vat
uint64_t | vat_entries
struct fileSetDesc * | udf_fsd
struct udf_extent * | head
struct udf_extent * | tail

## Detailed Description

Definition at line 95 of file libudffs.h.

## Member Data Documentation

uint16_t udf_disc::blocksize

Definition at line 98 of file libudffs.h.

uint8_t udf_disc::blocksize_bits

Definition at line 99 of file libudffs.h.

uint32_t udf_disc::flags

Definition at line 100 of file libudffs.h.

uint32_t udf_disc::gid

Definition at line 103 of file libudffs.h.

struct udf_extent* udf_disc::head

Definition at line 127 of file libudffs.h.

struct udf_sizing udf_disc::sizing[UDF_ALLOC_TYPE_SIZE]

Definition at line 105 of file libudffs.h.

struct udf_extent* udf_disc::tail

Definition at line 128 of file libudffs.h.

struct anchorVolDescPtr* udf_disc::udf_anchor[3]

Definition at line 111 of file libudffs.h.

struct fileSetDesc* udf_disc::udf_fsd

Definition at line 125 of file libudffs.h.

struct impUseVolDesc* udf_disc::udf_iuvd[2]

Definition at line 116 of file libudffs.h.

struct logicalVolDesc* udf_disc::udf_lvd[2]

Definition at line 113 of file libudffs.h.

struct logicalVolIntegrityDesc* udf_disc::udf_lvid

Definition at line 118 of file libudffs.h.

struct partitionDesc* udf_disc::udf_pd[2]

Definition at line 114 of file libudffs.h.

struct primaryVolDesc* udf_disc::udf_pvd[2]

Definition at line 112 of file libudffs.h.

uint16_t udf_disc::udf_rev

Definition at line 97 of file libudffs.h.

struct sparingTable* udf_disc::udf_stable[4]

Definition at line 120 of file libudffs.h.

struct terminatingDesc* udf_disc::udf_td[2]

Definition at line 117 of file libudffs.h.

struct unallocSpaceDesc* udf_disc::udf_usd[2]

Definition at line 115 of file libudffs.h.

struct volStructDesc* udf_disc::udf_vrs[3]

Definition at line 110 of file libudffs.h.

uint32_t udf_disc::uid

Definition at line 102 of file libudffs.h.

uint32_t* udf_disc::vat

Definition at line 122 of file libudffs.h.

uint64_t udf_disc::vat_entries

Definition at line 123 of file libudffs.h.

int(* udf_disc::write)(struct udf_disc *, struct udf_extent *)

Definition at line 107 of file libudffs.h.

void* udf_disc::write_data

Definition at line 108 of file libudffs.h.

The documentation for this struct was generated from the following file:

- include/libudffs.h